Skip to main content
GET
Retrieve a mission

Authorizations

Authorization
string
header
required

An API key from Settings → API keys, e.g. cpb_live_… or cpb_test_….

Path Parameters

mission_id
string
required
Example:

"MSN-1042"

Response

The mission.

id
string
Example:

"MSN-1042"

name
string
Example:

"Household laundry folding"

description
string
status
enum<string>
Available options:
draft,
dispatching,
active,
paused,
completed
regions
enum<string>[]

ISO 3166-1 alpha-2 country code (UK for the United Kingdom).

Available options:
US,
CA,
MX,
BR,
UK,
DE,
ES,
PT,
PL,
IN
target
integer

Accepted videos to collect across all tasks.

Example:

10000

accepted
integer
Example:

7339

progress
integer

Percent of target accepted.

Example:

73

cost
number

USD charged so far.

Example:

24783.4

tasks
object[]
dataset_id
string | null

Set once the first video is accepted.

Example:

"DS-301"

started_at
string<date-time>
completed_at
string<date-time> | null